"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.widgets = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _TextField = require("./Widgets/TextField");

var _OptionsBoolean = require("./Widgets/OptionsBoolean");

var _OptionsRadio = require("./Widgets/OptionsRadio");

var _OptionsCheck = require("./Widgets/OptionsCheck");

var _Select = require("./Widgets/Select");

var _SimpleList = require("./Widgets/SimpleList");

var _widgetsBase = require("./widgetsBase");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var widgets = _objectSpread({}, _widgetsBase.widgetsBase);

exports.widgets = widgets;
widgets.types = {
  string: _TextField.StringRenderer,
  number: _TextField.NumberRenderer,
  "boolean": _OptionsBoolean.BoolRenderer
};
widgets.custom = {
  Text: _TextField.TextRenderer,
  OptionsRadio: _OptionsRadio.OptionsRadio,
  OptionsCheck: _OptionsCheck.OptionsCheck,
  Select: _Select.Select,
  SelectMulti: _Select.SelectMulti,
  SimpleList: _SimpleList.SimpleList
};